# 更新日志 (Changelog)

## [最新版本] - 2024年12月

### ✨ 新增功能 (New Features)

#### 常用语hover预览功能
- 鼠标悬停在常用语按钮上时自动显示预览窗口
- 支持滚动查看所有常用语，无数量限制
- 鼠标可以从按钮流畅移动到预览窗口进行选择
- 点击预览中的常用语可直接插入到输入框

#### 文件引用视觉优化
- 文件引用现在以蓝色加粗样式显示（如 `@文件名.txt`）
- 与普通文本明确区分，提供更好的视觉识别

### 🔧 功能改进 (Improvements)

#### 文件拖拽功能优化
- **智能光标定位**：拖拽文件后光标自动定位到文件引用末尾，避免光标错误出现在文件名中间
- **智能重复检测**：基于实际文本内容检测重复文件，只在真正存在重复时添加数字后缀
- **自动清理机制**：删除文件引用时自动清理相关数据，避免数据不一致

#### 常用语管理界面优化
- 重新设计管理对话框布局，输入区域独立成行
- 底部左侧保存按钮，右侧关闭按钮，布局更合理
- 支持多语言标签显示

#### UI体验增强
- **智能提示文字**：输入框获得焦点时自动隐藏提示文字，失去焦点且无内容时恢复显示
- **增强提示内容**：包含拖拽文件和图片提示，以及完整的快捷键说明
- **主题适配**：预览窗口完全支持深色/浅色主题动态切换

#### 设置页面优化
- **语言设置统一**：将语言设置从下拉框改为单选按钮，与主题、布局设置保持一致的UI风格
- **设置项重新排序**：按逻辑顺序排列为外观主题、界面布局、展示语言、字体大小
- **UI一致性**：所有设置项现在都使用统一的单选按钮形式

### 🐛 问题修复 (Bug Fixes)

#### 窗口固定功能修复
- 修复了取消固定窗口时关闭按钮失效的问题
- 使用明确的窗口标志组合，确保所有标准窗口功能正常

#### 常用语功能修复
- 修复了常用语管理对话框双击时错误触发预览窗口的问题
- 修复了删除文件后再次拖拽会错误添加后缀的问题
- 添加防冲突机制，管理对话框打开时自动禁用预览功能

### 🏗️ 技术架构改进 (Technical Improvements)

#### 富文本支持
- 将 `FeedbackTextEdit` 从 `QPlainTextEdit` 升级为 `QTextEdit`
- 支持富文本格式，用于显示带颜色的文件引用
- 添加 `QTextCharFormat` 支持

#### 事件处理优化
- 改进鼠标事件和焦点事件的处理逻辑
- 添加延迟隐藏机制，提供更流畅的交互体验
- 优化光标位置设置逻辑

#### 内存管理优化
- 添加自动清理机制，防止内存泄漏
- 改进文件引用数据的管理方式
- 优化预览窗口的创建和销毁逻辑

### 📚 文档更新 (Documentation Updates)

#### 更新的文档
- `README.md` - 添加最新功能说明
- `功能说明.md` - 详细描述新增和改进的功能
- `安装与配置指南.md` - 添加最新功能特性介绍
- `docs/项目优化说明文档.md` - 新增最新功能优化章节

#### 新增文档
- `issues/UI修复进度.md` - 详细记录所有修复过程
- `CHANGELOG.md` - 本更新日志文件

### 🎯 用户体验提升总结

这次更新显著提升了用户体验：

1. **视觉体验**：
   - 文件引用蓝色显示，易于识别
   - 主题一致性，所有组件都能正确响应主题变化

2. **交互体验**：
   - 流畅的hover交互，无需点击即可预览常用语
   - 智能的光标定位，提供更自然的输入体验
   - 延迟隐藏机制，给用户充足的操作时间

3. **功能体验**：
   - 常用语预览功能，提高选择效率
   - 无限滚动支持，不再有数量限制
   - 智能重复检测，避免错误的后缀标识

4. **稳定性**：
   - 修复了多个UI bug，提高了系统稳定性
   - 改进了内存管理，防止内存泄漏
   - 优化了事件处理，减少了交互冲突

这些改进使得 interactive-feedback-mcp 成为了一个更加专业、易用和稳定的用户反馈工具。

---

## 历史版本

### [初始版本] - 2024年11月
- 基础的反馈收集功能
- 文件拖拽支持
- 常用语管理
- 深色主题UI
- MCP服务集成
